--- a/adal/authentication_parameters.py
+++ b/adal/authentication_parameters.py
@@ -89,13 +89,13 @@
 # header needs to be checked for validity before we can be certain that
 # we will succeed in pulling out the individual parts.
 bearer_challenge_structure_validation = re.compile(
-    """^\s*Bearer\s+([^,\s="]+?)="([^"]*?)"\s*(,\s*([^,\s="]+?)="([^"]*?)"\s*)*$""")
+    r"""^\s*Bearer\s+([^,\s="]+?)="([^"]*?)"\s*(,\s*([^,\s="]+?)="([^"]*?)"\s*)*$""")
 # This regex pulls out the key and value from the very first pair.
-first_key_value_pair_regex = re.compile("""^\s*Bearer\s+([^,\s="]+?)="([^"]*?)"\s*""")
+first_key_value_pair_regex = re.compile(r"""^\s*Bearer\s+([^,\s="]+?)="([^"]*?)"\s*""")
 
 # This regex is used to pull out all of the key value pairs after the first one.
 # All of these begin with a comma.
-all_other_key_value_pair_regex = re.compile("""(?:,\s*([^,\s="]+?)="([^"]*?)"\s*)""")
+all_other_key_value_pair_regex = re.compile(r"""(?:,\s*([^,\s="]+?)="([^"]*?)"\s*)""")
 
 
 def parse_challenge(challenge):
